<?php


namespace Schaffen\Core\Form\Repositories;


use Exception;
use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Form\Models\FormGrouping;

class FormGroupingRepository extends Repository
{
    protected $model = FormGrouping::class;

    protected $searchableFields = [
        ["field" => "foag_descricao", 'operator' => 'ilike'],
        ["field" => "foag_status"],
    ];

    public function destroy(int $id): int
    {
        try {
            return parent::destroy($id);
        } catch (Exception $exception) {
            return $this->storeOrUpdate(['foag_status' => 0], $id)->foag_codigo;
        }
    }


}
