<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Movement\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Movement\Managers\SalesOrderPaymentFormManager;
use Schaffen\Core\Person\Models\Person;

class SalesOrder extends Model
{

   protected $table = "movimentacao.pedido_venda";
   protected $primaryKey = 'pev_codigo';

    const CREATED_AT = 'pev_date_insert';
    const UPDATED_AT = 'pev_date_update';


   protected $fillable = [
       'pev_fk_pes_codigo',
       'pev_fk_pes_codigo_vdr',
       'pev_data_movel',
       'pev_cancelado'


   ];




   public function  itens_do_pedido(){
       return $this->hasMany(SalesOrderItem::class, 'pvi_fk_pev_codigo')->with('produto_variedade_embalagem');
   }

   public function forma_pagamento_pedido(){
        return $this->hasMany(SalesOrderPaymentForm::class, 'pvfp_fk_pev_codigo')->with('forma_pagamento');
   }

   public function cliente(){
       return $this->hasOne(Person::class, 'pes_codigo','pev_fk_pes_codigo')->with('contact_default','address_default');
   }


}
