<?php


namespace Schaffen\Core\Person\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Person\Models\Person;

class CompletePersonRepository extends Repository
{
    protected $model = Person::class;
    protected $orderBy = 'pes_nome';

    protected $searchableFields = [
        ["field" => 'pes_nome'],
        ["field" => 'pes_status'],
        ["field" => 'pes_identificador'],
    ];

    public function injectFiltersOnQuery()
    {
        $name = null;
        extract($this->filters);

        $this->query->with(['address', 'contact'])->when($name, function ($query) use ($name){
            return $query->where('pes_nome', 'ilike', '%'.$name.'%');
        });
        
        parent::injectFiltersOnQuery();
    }

}
