<?php


namespace Schaffen\Core\Product\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Product\Models\Product;

class ServiceRepository extends Repository
{
    protected $model = Product::class;
    protected $orderBy = 'pro_codigo';
    const SERVICO = 1;

    protected $searchableFields = [
        ['field' => 'pro_servico'],
        ['field' => 'pro_codigo']
    ];

   
   

    public function injectFiltersOnQuery()
    {
        $pro_descricao = null;
        extract($this->filters);
        $this->query->when($pro_descricao, function ($query) use ($pro_descricao){
            return $query->where('pro_descricao', 'ilike', '%'.$pro_descricao.'%')->where('pro_servico', 1);
        });
        
        parent::injectFiltersOnQuery();

    }

  


}